Arx功能强大而VB.net是简单易用且丰富多彩,过去常常梦想(不是我个人的梦想,而是所有爱好者的梦想)二者合一. 此梦终于成真.
按惯例,我们来编写一个简单程序,使得在AutoCAD中运行"test"这个命令时,弹出对话框显示"hello wold".
弹出对话框当然用一句msgbox "hello word". 我们要介绍的是如何新建一个工程并注册一个命令.
(step.1)在Visual Studio .NET中建立一个VB工程,选用类库(classlibrary),
(step2)增加引用(reference), 找到autocad下的以下两个文件加入之
acdbmgd.dll acmgd.dll.
(step 3) 在你的主class中(本次没做任何修改,所以是class1),加入以下:
Imports Autodesk.AutoCAD.ApplicationServices
Imports Autodesk.AutoCAD.DatabaseServices
Imports Autodesk.AutoCAD.Runtime
(step 4)注册命令
在class1类内部,写入
<CommandMethod("test")> _ Public Shared Sub MytestCmd() msgbox "hello wold" End Sub (step5) 编译 (step6)在AutoCAD中,用netload加载你刚刚编译成的dll文件 (step7)在AutoCAD命令行中键入"test"回车 (完) |